//only things specific to this menu should be included here
//things that are shared between multiple menus, or that are command specific should be
//defined in the commands/index.js file

import viewSubmenu from "./viewSubmenu";
export var copyOptionsMenu = {
  text: "复制选项",
  showInSearchMenu: true,
  submenu: [{
    cmd: "toggleCopyFeatures",
    text: "包含Features",
    shouldDismissPopover: false
  }, {
    cmd: "toggleCopyPartialFeatures",
    text: "包含部分Features",
    shouldDismissPopover: false
  }, {
    cmd: "toggleCopyParts",
    text: "包含Parts",
    shouldDismissPopover: false
  }, {
    cmd: "toggleCopyPartialParts",
    text: "包含部分Parts",
    shouldDismissPopover: false
  }]
};
export var createNewAnnotationMenu = {
  text: "新建",
  cmd: "createMenuHolder",
  showInSearchMenu: true
};
export default [{
  text: "文件",
  "data-test": "file",
  submenu: [{
    cmd: "newSequence",
    "data-test": "newSequence",
    test: "新建序列"
  }, {
    cmd: "renameSequence",
    text: '重命名序列'
  }, "saveSequence", "saveSequenceAs", "deleteSequence", "duplicateSequence", "--", {
    cmd: "toggleReadOnlyMode",
    shouldDismissPopover: false,
    text: '只读模式'
  }, "--", {
    cmd: "importSequence",
    text: '导入序列'
  }, {
    // text: "Export Sequence",
    text: '导出序列',
    showInSearchMenu: true,
    submenu: [{
      cmd: "exportSequenceAsGenbank",
      text: "下载Genbank文件"
    }, {
      cmd: "exportSequenceAsFasta",
      text: "下载Fasta文件"
    }, {
      cmd: "exportSequenceAsTeselagenJson",
      text: "下载Teselagen Json文件"
    }]
  }, "--", {
    text: "打印",
    cmd: "print"
    // submenu: [{ cmd: "printCircularView" }, { cmd: "printLinearView" }]
  }, {
    cmd: "viewRevisionHistory",
    text: "Revision History"
  }, {
    cmd: "viewProperties",
    text: "特性",
    icon: "properties"
  }]
}, {
  text: "编辑",
  submenu: [createNewAnnotationMenu, "--", {
    cmd: "cut",
    text: "剪切"
  }, {
    cmd: "copy",
    text: "复制"
  }, copyOptionsMenu, {
    cmd: "paste",
    text: "粘贴"
  }, "--", {
    cmd: "undo",
    text: "撤销"
  }, {
    cmd: "redo",
    text: "重做"
  }, "--", {
    cmd: "find",
    text: "查找"
  }, {
    cmd: "goTo",
    text: "定位"
  }, "--", {
    cmd: "select",
    text: "选择"
  }, {
    cmd: "selectAll",
    text: "全选"
  }, {
    cmd: "selectInverse",
    text: "选择反向"
  }, {
    text: "修改序列格式",
    cmd: "changeCaseCmd",
    submenu: [{
      cmd: "flipCaseSequence",
      text: "切换大小写"
    }, {
      cmd: "upperCaseSequence",
      text: "大写序列"
    }, {
      cmd: "lowerCaseSequence",
      text: "全部小写"
    }, {
      cmd: "upperCaseSelection",
      text: "选中大写"
    }, {
      cmd: "lowerCaseSelection",
      text: "选中小写"
    }]
  }, {
    text: "修改图谱格式",
    cmd: "changeCircularityCmd",
    submenu: [{
      cmd: "toggleCircular",
      text: "环形"
    }, {
      cmd: "toggleLinear",
      text: "线形"
    }]
  }
  // {
  //   text: "Change Sequence Case For Selection",
  //   submenu: [
  //   ]
  // },
  // "--",
  // { cmd: "complementSelection", text: "补充选择" },
  // { cmd: "complementEntireSequence", text: "补全整个序列" },
  // { cmd: "reverseComplementSelection", text: "反向补充选择" },
  // { cmd: "reverseComplementEntireSequence", text: "反向补全整个序列" },
  // { cmd: "rotateToCaretPosition", text: "旋转到插入符号位置" },
  ]
}, {
  text: "视图",
  submenu: viewSubmenu
}, {
  text: "工具",
  cmd: "toolsCmd",
  submenu: [{
    text: "过滤酶切点位",
    cmd: "openFilterCutsites"
  }, {
    text: "管理内切酶",
    cmd: "restrictionEnzymesManager"
  }, {
    text: "自定义内切酶",
    cmd: "openCreateCustomEnzyme"
  }, {
    text: "模拟酶切",
    cmd: "simulateDigestion"
  }, {
    text: "模拟PCR",
    cmd: "simulatePCR"
  }, {
    text: "删除重复项",
    submenu: [{
      text: "删除重复的Features",
      cmd: "showRemoveDuplicatesDialogFeatures"
    }, {
      text: "删除重复的Prats",
      cmd: "showRemoveDuplicatesDialogParts"
    }, {
      text: "删除重复的引物",
      cmd: "showRemoveDuplicatesDialogPrimers"
    }]
  }, {
    text: "Auto Annotate",
    cmd: "autoAnnotateHolder",
    submenu: ["autoAnnotateFeatures", "autoAnnotateParts", "autoAnnotatePrimers"]
  }]
},
// { isMenuSearch: true }
{
  text: "帮助",
  submenu: [{
    isMenuSearch: true
  }, "--", {
    text: "帮助",
    cmd: "about"
  }, {
    text: "查看编辑器快捷键",
    cmd: "hotkeyDialog"
  }]
}];